int OnInit()
{
   // Create a 1 minute timer...
   writeToLog("Initialising Timer...");
   EventSetTimer(60);

   /** Do some stuff **/
   
   SendNotification("Monitor added to account " + AccountInfoString(ACCOUNT_NAME));
   return(INIT_SUCCEEDED);
}

//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
{
   writeToLog("Killing Timer...");
   EventKillTimer();
}
//+------------------------------------------------------------------+
//| One Minute Timer Handler                                         |
//+------------------------------------------------------------------+
void OnTimer()
{
   writeToLog("OnTimer event.");
}

//+------------------------------------------------------------------+
//| Logging Functions                                                |
//+------------------------------------------------------------------+
void writeToLog(string message)
{
   if (!IsOptimization())
   {
      // Open file for logging information...
      string foldername = "TempOnly\\";
      string filepath = foldername + "log.txt";

      int filehandle = FileOpen(filepath, FILE_WRITE | FILE_READ | FILE_TXT);
      if(filehandle == INVALID_HANDLE)
      {
         fileOpenError(filepath);
      }
      else
      {  
         // Append to the end of the file...
         FileSeek(filehandle, 0, SEEK_END);
         FileWrite(filehandle, (string)TimeLocal() + ": " + message);
                   
         FileFlush(filehandle);
   	   FileClose(filehandle);
      }
   }
}

//+------------------------------------------------------------------+
//| Report file open error...                                        |
//+------------------------------------------------------------------+
void fileOpenError(string filepath)
{
   string message = StringFormat("Failed to open %s file, Error code = %d", filepath, GetLastError());
   PrintFormat(message);
}
